summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMilk Brewster2020-01-20 19:39:22 +0000
committerMilk Brewster2020-01-20 19:39:22 +0000
commit82d8368cdf94b45c643dc49fc82c858de106545b (patch)
treeda75d0e556e479d91de9acaa4255186bced8396b /PKGBUILD
downloadaur-82d8368cdf94b45c643dc49fc82c858de106545b.tar.gz
initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b207abc3d52
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Milkii Brewster <milkii on Freenode IRC>
+maintaner="Milkii Brewster <milkii on Freenode IRC>"
+_pkgname="bjumblr.lv2"
+pkgname="${_pkgname}-git"
+pkgdesc="Pattern-controlled audio stream re-sequencer LV2 plugin"
+pkgver=r127.c8919dc
+pkgrel=1
+epoch=
+arch=(x86_64)
+url="https://github.com/sjaehn/BJumblr"
+license=(GPL)
+groups=()
+depends=()
+makedepends=()
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=("bjumblr.lv2::git+https://github.com/sjaehn/BJumblr")
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$_pkgname"
+}
+
+build()
+{
+ cd "$_pkgname"
+ # ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$_pkgname"
+ make PREFIX="/usr" DESTDIR="$pkgdir/" install
+}